package com.ruoyi.tuya.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.tuya.mapper.SysUsersMapper;
import com.ruoyi.tuya.domain.SysUsers;
import com.ruoyi.tuya.service.ISysUsersService;

/**
 * 平台用户Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-07-19
 */
@Service
public class SysUsersServiceImpl implements ISysUsersService 
{
    @Autowired
    private SysUsersMapper sysUsersMapper;

    /**
     * 查询平台用户
     * 
     * @param id 平台用户主键
     * @return 平台用户
     */
    @Override
    public SysUsers selectSysUsersById(Long id)
    {
        return sysUsersMapper.selectSysUsersById(id);
    }

    /**
     * 查询平台用户列表
     * 
     * @param sysUsers 平台用户
     * @return 平台用户
     */
    @Override
    public List<SysUsers> selectSysUsersList(SysUsers sysUsers)
    {
        return sysUsersMapper.selectSysUsersList(sysUsers);
    }

    /**
     * 新增平台用户
     * 
     * @param sysUsers 平台用户
     * @return 结果
     */
    @Override
    public int insertSysUsers(SysUsers sysUsers)
    {
        return sysUsersMapper.insertSysUsers(sysUsers);
    }

    /**
     * 修改平台用户
     * 
     * @param sysUsers 平台用户
     * @return 结果
     */
    @Override
    public int updateSysUsers(SysUsers sysUsers)
    {
        return sysUsersMapper.updateSysUsers(sysUsers);
    }

    /**
     * 批量删除平台用户
     * 
     * @param ids 需要删除的平台用户主键
     * @return 结果
     */
    @Override
    public int deleteSysUsersByIds(Long[] ids)
    {
        return sysUsersMapper.deleteSysUsersByIds(ids);
    }

    /**
     * 删除平台用户信息
     * 
     * @param id 平台用户主键
     * @return 结果
     */
    @Override
    public int deleteSysUsersById(Long id)
    {
        return sysUsersMapper.deleteSysUsersById(id);
    }
}
